## ros-humble-as2-platform-crazyflie 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PROJECT_NAME as2_platform_crazyflie)
project(${PROJECT_NAME})

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
#########################


# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclpy REQUIRED)

find_package(std_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(as2_core REQUIRED)
find_package(as2_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(Eigen3 REQUIRED)


#download the crazyflie_cpp from github
set(USE_CRAZYFLIE_COMPLETE_LIB OFF)
find_package(crazyflie_cpp QUIET)
if (${crazyflie_cpp_FOUND})
  MESSAGE(STATUS "crazyflie_cpp found at ${crazyflie_cpp_DIR}")
  find_package(crazyflie_cpp REQUIRED)
  set(USE_CRAZYFLIE_COMPLETE_LIB ON)
else (${crazyflie_cpp_FOUND})
  MESSAGE(STATUS "crazyflie_cpp not found")
  include(FetchContent)
  FetchContent_Declare(
  crazyflie_cpp
  GIT_REPOSITORY https://github.com/miferco97/crazyflie_cpp.git
  # GIT_TAG 8b8391bc8e1899b4704723d22b5e4fa43ddef763
  GIT_TAG master
  )
  FetchContent_MakeAvailable(crazyflie_cpp)
endif(${crazyflie_cpp_FOUND})

set(HEADER_HPP_FILES
  include/crazyflie_platform.hpp
)

include_directories(
  include/${PROJECT_NAME}
  ${EIGEN3_INCLUDE_DIRS}
)


add_executable(${PROJECT_NAME}_node src/crazyflie_node.cpp src/crazyflie_platform.cpp)
ament_target_dependencies(${PROJECT_NAME}_node 
  rclcpp 
  sensor_msgs 
  std_msgs
  std_srvs
  nav_msgs
  as2_core
  as2_msgs
  geometry_msgs
  Eigen3
)

if (${USE_CRAZYFLIE_COMPLETE_LIB})
  # message("Yes!! COMPLETE")
  target_link_libraries(${PROJECT_NAME}_node 
    crazyflie_cpp::crazyflie_cpp
  )
else (${USE_CRAZYFLIE_COMPLETE_LIB})
target_link_libraries(${PROJECT_NAME}_node 
  crazyflie_cpp
)
endif()


add_executable(${PROJECT_NAME}_swarm_node src/crazyflie_swarm_nodes.cpp src/crazyflie_platform.cpp)
ament_target_dependencies(${PROJECT_NAME}_swarm_node 
  rclcpp 
  sensor_msgs 
  std_msgs
  std_srvs
  nav_msgs
  as2_core
  as2_msgs
  geometry_msgs
  Eigen3
)

if (${USE_CRAZYFLIE_COMPLETE_LIB})
  # message("Yes!! COMPLETE")
  target_link_libraries(${PROJECT_NAME}_swarm_node 
    crazyflie_cpp::crazyflie_cpp
  )
else (${USE_CRAZYFLIE_COMPLETE_LIB})
target_link_libraries(${PROJECT_NAME}_swarm_node 
  crazyflie_cpp
)
endif()



if(BUILD_TESTING)
  find_package(ament_cmake_cppcheck REQUIRED)
  find_package(ament_cmake_clang_format REQUIRED)
  
  ament_cppcheck(src/ include/ tests/)
  ament_clang_format(src/ include/ tests/ --config ${CMAKE_CURRENT_SOURCE_DIR}/.clang-format)
endif()


install(
  DIRECTORY launch
  DESTINATION share/${PROJECT_NAME}
)

install(DIRECTORY
  config
  DESTINATION share/${PROJECT_NAME}
)

install(TARGETS
${PROJECT_NAME}_node
${PROJECT_NAME}_swarm_node
  DESTINATION lib/${PROJECT_NAME})


# Install Python modules
ament_python_install_package(${PROJECT_NAME})

# Install Python executables
install(PROGRAMS
  scripts/aideck_node.py
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-humble-as2-platform-crazyflie (1.0.4-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.3-1jammy) jammy; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.2-1jammy) jammy; urgency=high

  * Merge pull request #239 <https://github.com/aerostack2/aerostack2/issues/239> from aerostack2/cf-namespace
    [as2_crazyflie_platform] Remove namespace from launch
  * Fix aideck config file in launcher
  * Remove namespace from launch
    Namespace was overriding each crazyflie namespace which is intended to be set by swarm_config_file
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Fix crazyflie params file read
  * Unify platform launchers
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 22:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.1-1jammy) jammy; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 22:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.0-1jammy) jammy; urgency=high



 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 23:00:00 -0000

ros-humble-as2-platform-crazyflie (0.2.2-1jammy) jammy; urgency=high

  * Merge pull request #88 <https://github.com/aerostack2/aerostack2/issues/88> from aerostack2/main
    update with main
  * Merge pull request #85 <https://github.com/aerostack2/aerostack2/issues/85> from aerostack2/as2_movement_behaviors_rename
    rename movement_behavior to as2_movement_behaviors
  * reformat
  * Contributors: Miguel, Miguel Fernandez-Cortizas, Rafael Pérez

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 23:00:00 -0000

ros-humble-as2-platform-crazyflie (0.2.1-1jammy) jammy; urgency=high

  * Merge pull request #84 <https://github.com/aerostack2/aerostack2/issues/84> from aerostack2/clang-test-fixing
    [CI] Clang format fixed
  * clang format
  * Merge pull request #32 <https://github.com/aerostack2/aerostack2/issues/32> from aerostack2/main
    update_branch_before_merging
  * Merge pull request #28 <https://github.com/aerostack2/aerostack2/issues/28> from aerostack2/cf_launcher
    Update package and node name
  * Update package and node name
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * px4 extended and ci actions
  * as2 added to platforms
  * Contributors: Miguel Fernandez-Cortizas, RPS98, miferco97, pariaspe

 -- Computer Vision And Aerial Robotics Group (UPM) <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 23:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-platform-crazyflie
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libusb-1.0-0, libusb-1.0-0-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-clang-format <!nocheck>, ros-humble-ament-cmake-cppcheck <!nocheck>, ros-humble-ament-cmake-cpplint <!nocheck>, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-platform-crazyflie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libusb-1.0-0, libusb-1.0-0-dev, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Package to communicate Crazyflie drones with Aerostack2 framework

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-platform-crazyflie//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-as2-platform-crazyflie 1.0.9

=== debian/changelog ===
ros-humble-as2-platform-crazyflie (1.0.9-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.8-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.7-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.6-3bookworm) bookworm; urgency=high

  * Fix wrong sensor name for multiranger deck
  * Contributors: Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.5-3bookworm) bookworm; urgency=high

  * Multi-ranger deck interface to laser_scan msg
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.4-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.3-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.2-3bookworm) bookworm; urgency=high

  * Merge pull request #239 <https://github.com/aerostack2/aerostack2/issues/239> from aerostack2/cf-namespace
    [as2_crazyflie_platform] Remove namespace from launch
  * Fix aideck config file in launcher
  * Remove namespace from launch
    Namespace was overriding each crazyflie namespace which is intended to be set by swarm_config_file
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Fix crazyflie params file read
  * Unify platform launchers
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.1-3bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.0-3bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (0.2.2-3bookworm) bookworm; urgency=high

  * Merge pull request #88 <https://github.com/aerostack2/aerostack2/issues/88> from aerostack2/main
    update with main
  * Merge pull request #85 <https://github.com/aerostack2/aerostack2/issues/85> from aerostack2/as2_movement_behaviors_rename
    rename movement_behavior to as2_movement_behaviors
  * reformat
  * Contributors: Miguel, Miguel Fernandez-Cortizas, Rafael Pérez

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 16:00:00 -0000

ros-humble-as2-platform-crazyflie (0.2.1-3bookworm) bookworm; urgency=high

  * Merge pull request #84 <https://github.com/aerostack2/aerostack2/issues/84> from aerostack2/clang-test-fixing
    [CI] Clang format fixed
  * clang format
  * Merge pull request #32 <https://github.com/aerostack2/aerostack2/issues/32> from aerostack2/main
    update_branch_before_merging
  * Merge pull request #28 <https://github.com/aerostack2/aerostack2/issues/28> from aerostack2/cf_launcher
    Update package and node name
  * Update package and node name
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * px4 extended and ci actions
  * as2 added to platforms
  * Contributors: Miguel Fernandez-Cortizas, RPS98, miferco97, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 16:00:00 -0000

## ros-humble-as2-platform-crazyflie 1.1.0

=== debian/changelog ===
ros-humble-as2-platform-crazyflie (1.1.0-4bookworm) bookworm; urgency=high

  * Update LICENSE to BSD-3
  * Fix camera frame tf
  * [fix] flake8 test
  * [feat] move parameters to ROS 2 standard
  * Fix AIDeckPublisher spin
  * Enable main node in swarm launch
  * Add camera calibration file param
  * [feat] add camera info
  * [feat] launch aideck node depending on params
  * [feat] pass ament_common tests
  * [CI] add CIs
  * Contributors: Miguel Fernandez-Cortizas, Rafael Perez-Segui, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Aug 2024 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.9-4bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 24 Mar 2024 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.8-4bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.7-4bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Sat, 03 Feb 2024 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.6-4bookworm) bookworm; urgency=high

  * Fix wrong sensor name for multiranger deck
  * Contributors: Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.5-4bookworm) bookworm; urgency=high

  * Multi-ranger deck interface to laser_scan msg
  * Contributors: pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.4-4bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Tue, 22 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.3-4bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 21 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.2-4bookworm) bookworm; urgency=high

  * Merge pull request #239 <https://github.com/aerostack2/aerostack2/issues/239> from aerostack2/cf-namespace
    [as2_crazyflie_platform] Remove namespace from launch
  * Fix aideck config file in launcher
  * Remove namespace from launch
    Namespace was overriding each crazyflie namespace which is intended to be set by swarm_config_file
  * Merge pull request #237 <https://github.com/aerostack2/aerostack2/issues/237> from aerostack2/unify_platform_launchers
    Unify launchers
  * Fix crazyflie params file read
  * Unify platform launchers
  * Contributors: Javilinos, Miguel Fernandez-Cortizas, RPS98, Rafael Pérez, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Wed, 16 Aug 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.1-4bookworm) bookworm; urgency=high

  * Merge pull request #223 <https://github.com/aerostack2/aerostack2/issues/223> from aerostack2/200-unify-maintainer-in-packagexmls
    Maintainer unified to CVAR-UPM
  * Maintainer unified to CVAR-UPM
  * Merge pull request #212 <https://github.com/aerostack2/aerostack2/issues/212> from aerostack2/211-nodes-should-use-aerostack2-node-create-timer-method-not-create-wall-timer
    Nodes use Aerostack2 Node Create Timer method, not create wall timer
  * Change create wall timer to as2 create timer
  * Contributors: Miguel Fernandez-Cortizas, RPS98, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 24 Apr 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (1.0.0-4bookworm) bookworm; urgency=high



 -- CVAR-UPM <cvar.upm3@gmail.com>  Fri, 17 Mar 2023 16:00:00 -0000

ros-humble-as2-platform-crazyflie (0.2.2-4bookworm) bookworm; urgency=high

  * Merge pull request #88 <https://github.com/aerostack2/aerostack2/issues/88> from aerostack2/main
    update with main
  * Merge pull request #85 <https://github.com/aerostack2/aerostack2/issues/85> from aerostack2/as2_movement_behaviors_rename
    rename movement_behavior to as2_movement_behaviors
  * reformat
  * Contributors: Miguel, Miguel Fernandez-Cortizas, Rafael Pérez

 -- CVAR-UPM <cvar.upm3@gmail.com>  Mon, 19 Dec 2022 16:00:00 -0000

ros-humble-as2-platform-crazyflie (0.2.1-4bookworm) bookworm; urgency=high

  * Merge pull request #84 <https://github.com/aerostack2/aerostack2/issues/84> from aerostack2/clang-test-fixing
    [CI] Clang format fixed
  * clang format
  * Merge pull request #32 <https://github.com/aerostack2/aerostack2/issues/32> from aerostack2/main
    update_branch_before_merging
  * Merge pull request #28 <https://github.com/aerostack2/aerostack2/issues/28> from aerostack2/cf_launcher
    Update package and node name
  * Update package and node name
  * Merge pull request #15 <https://github.com/aerostack2/aerostack2/issues/15> from aerostack2/pkg_dependencies
    Pkg dependencies
  * Update pkg dependencies
  * px4 extended and ci actions
  * as2 added to platforms
  * Contributors: Miguel Fernandez-Cortizas, RPS98, miferco97, pariaspe

 -- CVAR-UPM <cvar.upm3@gmail.com>  Sun, 18 Dec 2022 16:00:00 -0000

=== debian/control ===
Source: ros-humble-as2-platform-crazyflie
Section: misc
Priority: optional
Maintainer: CVAR-UPM <cvar.upm3@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, libusb-1.0-0, libusb-1.0-0-dev, ros-humble-ament-cmake, ros-humble-ament-cmake-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-as2-platform-crazyflie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libusb-1.0-0, libusb-1.0-0-dev, ros-humble-as2-core, ros-humble-as2-msgs, ros-humble-geometry-msgs, ros-humble-nav-msgs, ros-humble-rclcpp, ros-humble-rclpy, ros-humble-sensor-msgs, ros-humble-std-msgs, ros-humble-std-srvs, ros-humble-ros-workspace
Description: Package to communicate Crazyflie drones with Aerostack2 framework

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-platform-crazyflie//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-as2-platform-crazyflie//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-as2-platform-crazyflie//opt/ros/humble/opt/as2_platform_crazyflie/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
